Skip to main content
curl -X POST https://api.mintlify.com/v1/project/update/{projectId} \
  -H "Authorization: Bearer YOUR_API_KEY"

Endpoint

projectId
string
required
Your project ID. Can be copied from the API keys page in your dashboard.

Response

statusId
string
The status ID of the triggered update. Use this ID with the Get update status endpoint to track the update progress.
{
  "statusId": "67890abcdef1234567890abc"
}

Details

This endpoint queues a deployment update for your documentation project. The update is triggered from your configured deployment branch. Returns a status ID that can be used to track the update progress with the Get update status endpoint. Use this endpoint to:
  • Trigger site updates at set intervals or when events occur
  • Update documentation as part of your CI/CD pipeline when code changes
  • Programmatically deploy documentation updates

Authentication

This endpoint requires an admin API key (prefixed with mint_). Generate one on the API keys page in your dashboard.

Build docs developers (and LLMs) love